System Requirements

Servers

The below specifications apply to both the Database Server and the Web Server. If these are installed on the same server machine, specifications should be doubled.

  • Compatible Operating Systems:
    • Windows Server 2008-2016. 32-bit and 64-bit architectures are supported with Progeny versions 10.1.2.5 and lower

      As of version 10.2.0.0, only 64-bit architecture is supported.

  • Processor(s): A minimum of 2.5 GHz per server core

    3.0 GHz or faster recommended

    • 1 server core for 1-5 users
    • 2 server cores for 6-15 users
    • 4 server cores for 16-30 users

      If planning for 30+ users, please contact Progeny Support for assistance in determining the appropriate resource allocation for your servers.

  • RAM:
    • 4 GB for 1-5 user(s)
    • 8 GB for 6-10 users
    • 12 GB for 11-15 users
    • 16 GB for 16-20 users

      If planning for 20+ users, please contact Progeny Support for assistance in determining the appropriate resource allocation for your servers.

  • Hard Disk Drive:
    • Minimum 40 GB
Third-Party Applications (Installed on Web Server)
  • Apache Tomcat Version 9.0.xx.
  • Java Runtime Environment Version 8
  • SSL Certificate

    REQUIRED if Web Client will be externally accessible or if using the Family History Questionnaire

Desktop Client
  • Windows 7/8/10. 32-bit and 64-bit Windows architectures are supported. 

    Windows XP is not supported for Progeny 10.

  • A minimum of a Dual-Core processor at 2.5 GHz 

    3.0 GHz and/or additional cores recommended.

  • A minimum of 4 GB RAM 

    6+ GB required for large queries

  • 20 GB hard drive space

    20+ GB required if storing databases locally

  • 1024×768 minimum screen resolution
Web Browsers
  • 1366×768 minimum screen resolution
  • Compatible browsers: Google Chrome, Mozilla Firefox, Internet Explorer version 9 or newer, and Apple Safari:
    • To get the best possible experience, Progeny recommends using a browser that has full HTML-5 compatibility (Chrome, Firefox, IE10 or above).

    • Apple Safari for Windows is not supported.

Updated on January 25, 2019

Was this article helpful?

Related Articles